<?php
if($_POST and xtc_not_null($_POST['action'])){
	switch($_POST['action']){
		case 'export':
			$get_params = '';
			for($i=0;$i<sizeOf($_POST['id']);$i++){
				$get_params .= 'iID[]='.$_POST['id'][$i].'&';
			}
			xtc_redirect(xtc_href_link(FILENAME_EXPORTS_EDIT,$get_params));
			break;
	}
}
$id = xtc_db_input($_GET['id']);
$ship = $ships->get_ship($id);

include(DIR_WS_INCLUDES.'header.php');

$smarty = new yesSmarty;
$smarty->assign('ship',$ship->get_smarty_data_array());
$smarty->assign('id',$id);

echo $smarty->fetch(DIR_FS_ADMIN.'templates/ships_overview.html');

include(DIR_WS_INCLUDES.'footer.php');
